source 'https://rubygems.org'

git_source(:github) do |repo_name|
  repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/")
  "https://github.com/#{repo_name}.git"
end

gem 'rails', '~> 5.1.4'
gem 'puma', '~> 3.7'
gem 'sass-rails', '~> 5.0'
gem 'uglifier', '>= 1.3.0'
gem 'turbolinks', '~> 5'
gem 'jbuilder', '~> 2.5'

gem 'pg', '~> 0.18'
gem 'haml'
gem 'jquery-rails'
gem 'bootstrap', '~> 4.0.0'
gem 'font-awesome-rails'
gem 'jquery-ui-rails'

gem 'omniauth'
gem 'omniauth-facebook'
gem 'devise'

gem 'rails-perftest'

gem 'carrierwave', '~> 0.10.0'
gem 'mini_magick', '~> 4.3'


group :development, :test do
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
  gem 'pry-nav'
  gem 'capybara', '~> 2.13'
  gem 'selenium-webdriver'
  gem "erb2haml"
end

group :development do
  gem 'web-console', '>= 3.3.0'
  gem 'listen', '>= 3.0.5', '< 3.2'
  gem 'spring'
  gem 'spring-watcher-listen', '~> 2.0.0'
end

gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]
